Loading...
Searching...
No Matches
FFConvenience.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/ForceField.h>`
`#include <RDGeneral/RDThreads.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::ForceFieldsHelper
namespace | RDKit::ForceFieldsHelper::detail

## Functions

void | RDKit::ForceFieldsHelper::detail::OptimizeMoleculeConfsST (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double > > &res, int maxIters)
std::pair< int, double > | RDKit::ForceFieldsHelper::OptimizeMolecule (ForceFields::ForceField &ff, int maxIters=1000)
void | RDKit::ForceFieldsHelper::OptimizeMoleculeConfs (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double > > &res, int numThreads=1, int maxIters=1000)
std::unique_ptr< ForceFields::ForceField > | RDKit::ForceFieldsHelper::createEmptyForceFieldForMol (ROMol &mol, int confId=-1)